library(ggplot2)
library(tidyr)

#faili sisselugemine ja andmete formaadi korrigeerimine
J347=read.csv2("PT3-T3.4-J3.4.7.csv",header=TRUE, encoding ="UTF-8")
names(J347)=gsub("\\.", ", ", names(J347))
J347=pivot_longer(J347,2:5)
J347$value=as.numeric(J347$value)
J347$name=as.factor(J347$name)
J347$name=factor(J347$name,levels(J347$name)[order(c(2,4,3,1))])
J347$Tööliik=as.factor(J347$Tööliik)
J347$Tööliik=factor(J347$Tööliik,levels(J347$Tööliik)[order(c(2,4,1,3))])


#joonis
ggplot(J347)+
  geom_col(aes(x=name,y=value,fill=Tööliik),pos=position_dodge(0.8),width=0.7)+
  facet_grid(~Aasta)+
  coord_flip()+
  scale_fill_manual(values=c("#6666cc","#668080","#81DBFE","#38bf7b"),breaks=c("Passiivne töö","Pingevaba töö","Aktiivne töö","Pingeline töö"))+
  theme_minimal()+
  theme(strip.text.x=element_text(color="#668080"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  scale_y_continuous(breaks=seq(0,80,10))+
  theme(legend.position = "bottom")+
  theme(legend.title = element_blank())+
  xlab("")+
  ylab("%")







